src/main.cpp(3)

NAME
src/main.cpp - The main program for this project.

SYNOPSIS

#include <filesystem>
#include <fstream>
#include <string>
#include <omp.h>
#include <sys/stat.h>
#include 'PenningTrap.hpp'

  Macros
#define PARTICLES 100
#define N 10000
#define CHARGE 1.
#define MASS 40.

  Functions
void euler_100_particles ()
int main ()

Detailed Description

The main program for this project.

Author
    Cory Alexander Balaton (coryab)

    Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
    0.1

Bug
    No known bugs

Definition in file main.cpp.

Macro Definition Documentation

  #define CHARGE 1.

Definition at line 23 of file main.cpp.

  #define MASS 40.

Definition at line 24 of file main.cpp.

  #define N 10000

Definition at line 22 of file main.cpp.

  #define PARTICLES 100

Definition at line 21 of file main.cpp.

Function Documentation

  void euler_100_particles ()

Definition at line 26 of file main.cpp.

  int main ()

Definition at line 77 of file main.cpp.

Author

Generated automatically by Doxygen for Penning Trap Simulation from the source code.